Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Sample request:
POST /customers
{
"first_name": "FirstNameUser",
"last_name": "LastNameUser",
"company": "company",
"abn": "abn",
"phone": "+321",
"fax": "fax",
"mobile": "+123",
"email": "email@lel.org",
"website": "website.org",
"custom_reference": "customReference",
"export_to_web": true,
"customer_type": {
"name": "type1",
"id": 5
},
"home_outlet": {
"id": 1,
"name": "name"
},
"date_of_birth": "1999-04-30",
"date_of_birth_withheld": false,
"marketing":{
"receive_email": true,
"receive_post": true,
"receive_sms": true
},
"price_groups": [
{
"id": 1,
"name": "name1",
"type": "Standard"
},
{
"id": 5,
"name": "name2",
"type": "Fixed"
}],
"billing_address": {
"address_line1": "address_line1",
"address_line2": "address_line2",
"suburb": "suburb",
"state": "state",
"postcode": "postcode",
"country": "country",
"email": "sampleemail@kek.au"
},
"loyalty_program": {
"enabled": false,
"auto_price_group": false
},
"account_customer": {
"enabled": false,
"payment_terms": 0,
"credit_limit": 0,
"credit_blocked": false,
"credit_remaining": 10
},
"survey_responses": [{
"id": 1,
"question": "question1",
"answer": "answer"
}]
}
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Customer created
Customer model
Account customer view model
Abn
Billing address model
Company
Customer number
Customer type model
Date of birth
Date of birth with held
Delivery Address model
Fax
First name
Identifier
Last name
Loyalty program model
Marketing view model
Mobile
Phone
Price group model
Survey Response model
Website
Customer Outlet Model
Custom reference
Export to web
CustomerSalesChannel Model
Created on
Modified on
Gets specific Customer by unique id
Customer id
Example:10000
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns found Customer
Customer model
Account customer view model
Abn
Billing address model
Company
Customer number
Customer type model
Date of birth
Date of birth with held
Delivery Address model
Fax
First name
Identifier
Last name
Loyalty program model
Marketing view model
Mobile
Phone
Price group model
Survey Response model
Website
Customer Outlet Model
Custom reference
Export to web
CustomerSalesChannel Model
Created on
Modified on
Sample request:
PUT /customers
{
"first_name": "FirstNameUser",
"last_name": "LastNameUser",
"company": "company",
"abn": "abn",
"phone": "+321",
"fax": "fax",
"mobile": "+123",
"email": "email@lel.org",
"website": "website.org",
"custom_reference": "customReference",
"customer_type": {
"name": "type1",
"id": 5
},
"home_outlet": {
"id": 1,
"name": "name"
},
"date_of_birth": "1999-04-30",
"date_of_birth_withheld": false,
"marketing":{
"receive_email": true,
"receive_post": true,
"receive_sms": true
},
"price_groups": [
{
"id": 1,
"name": "name1",
"type": "Standard"
},
{
"id": 5,
"name": "name2",
"type": "Fixed"
}],
"billing_address": {
"address_line1": "address_line1",
"address_line2": "address_line2",
"suburb": "suburb",
"state": "state",
"postcode": "postcode",
"country": "country",
"email": "sampleemail@kek.au"
},
"loyalty_program": {
"enabled": false,
"auto_price_group": false
},
"account_customer": {
"enabled": false,
"payment_terms": 0,
"credit_limit": 0,
"credit_blocked": false,
"credit_remaining": 10
},
"survey_responses": [{
"id": 1,
"question": "question1",
"answer": "answer"
}]
}
Customer id
Example:10000
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Customer model
Returns updated Customer
Customer model
Account customer view model
Abn
Billing address model
Company
Customer number
Customer type model
Date of birth
Date of birth with held
Delivery Address model
Fax
First name
Identifier
Last name
Loyalty program model
Marketing view model
Mobile
Phone
Price group model
Survey Response model
Website
Customer Outlet Model
Custom reference
Export to web
CustomerSalesChannel Model
Created on
Modified on
Searches Delivery Addresses by Customer id and other parameters
Is default
Modified since
Format - int32.
>= 1<= 100000
Format - int32.
>= 1<= 2147483647
Customer id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Paging Response with Delivery Address data
Delivery Address model
Sample request:
POST /customers/{id}/deliveryaddresses
{
"country": "Argentina",
"state": "QLD",
"suburb": "Maroochydore",
"address_line1": "address line 1",
"address_line2": "address line 2",
"postcode": "4000",
"company": "Retail Express",
"mobile": "0405 966 390",
"phone": "0405966390",
"first_name": "Bernie",
"last_name": "Green",
"default": false
}
Customer id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Delivery Address model
Delivery Address was created
Delivery Address model
Country
Country Code
State
Suburb
Address line 1
Address line 2
Post code
Company
Mobile phone
Phone
First name
Last Name
Identifier
Is Default
Modified on